Como instalar VirtualBox no Debian 9

1. Como instalar VirtualBox no Debian 9

Natan Lacerda
Destroy9

(usa Debian)

Enviado em 17/08/2019 - 11:51h

Pessoal, primeiramente bom dia!

Sou iniciante no Linux e utilizo o "Debian 9 Stretch". Baixei o programa ".deb" diretamente no site do VirtualBox e instalei.

Porém quando tento abrir via terminal retorna isso, e em seguida abre:

usuario@natan:~$ virtualbox
WARNING: The vboxdrv kernel module is not loaded. Either there is no module
available for the current kernel (4.17.11oem) or it failed to
load. Please recompile the kernel module and install it by

sudo /sbin/vboxconfig

You will not be able to start VMs until this problem is fixed.


Presumi que mesmo abrindo, houve um erro ao iniciar, não foi?

P.s: Sei que tem muita gente inteligente aqui quando se trata de Linux, espero contar com a ajuda de vocês! ABraço.


  


2. Re: Como instalar VirtualBox no Debian 9

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 17/08/2019 - 12:52h

-vc usa o debian-6 ou o debian-stretch ??
-debian-6-squeeze já está sem suporte desde o5/2014
-debian-9-stretch ainda terá suporte até 05/2020


3. Re: Dificuldade para instalar VirtualBox, Alguém poderia me ajudar?

Natan Lacerda
Destroy9

(usa Debian)

Enviado em 17/08/2019 - 13:06h

clodoaldops escreveu:

-vc usa o debian-6 ou o debian-stretch ??
-debian-6-squeeze já está sem suporte desde o5/2014
-debian-9-stretch ainda terá suporte até 05/2020


Eu utilizo Debian GNU/Linux 9 (stretch), já editei o tópico e corrigi o erro. Obrigado pela correção amigo!



4. Re: Como instalar VirtualBox no Debian 9

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 17/08/2019 - 13:17h

-instale o VB
https://www.vivaolinux.com.br/dica/Instalando-VirtualBox-no-Debian-9



5. Re: Como instalar VirtualBox no Debian 9

Natan Lacerda
Destroy9

(usa Debian)

Enviado em 17/08/2019 - 13:55h



[quote]

Fiz como o tutorial manda, e retornou:

root@natan:/home/usuario/Downloads/virtualbox# dpkg -i ./virtualbox-6.0_6.0.10-132072_Debian_stretch_amd64.deb
A seleccionar pacote anteriormente não seleccionado virtualbox-6.0.
(Lendo banco de dados ... 272193 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../virtualbox-6.0_6.0.10-132072_Debian_stretch_amd64.deb ...
A descompactar virtualbox-6.0 (6.0.10-132072~Debian~stretch) ...
Configurando virtualbox-6.0 (6.0.10-132072~Debian~stretch) ...
addgroup: O grupo 'vboxusers' já existe como um grupo de sistema. Saindo.
A processar 'triggers' para systemd (237-3~bpo9+1) ...
A processar 'triggers' para desktop-file-utils (0.23-1) ...
A processar 'triggers' para mime-support (3.60) ...
A processar 'triggers' para hicolor-icon-theme (0.15-1) ...
A processar 'triggers' para shared-mime-info (1.8-1+deb9u1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
root@natan:/home/usuario/Downloads/virtualbox#


Tá tudo ok? Ou deu algum erro de dependência e eu preciso executar o comando que o tutorial manda "apt-get -f install "?


6. Re: Como instalar VirtualBox no Debian 9

Natan Lacerda
Destroy9

(usa Debian)

Enviado em 17/08/2019 - 14:00h

Quando digito "virtualbox" no terminal, continua retornando:


root@natan:/home/usuario/Downloads/virtualbox# virtualbox
WARNING: The vboxdrv kernel module is not loaded. Either there is no module
available for the current kernel (4.17.11oem) or it failed to
load. Please recompile the kernel module and install it by

sudo /sbin/vboxconfig

You will not be able to start VMs until this problem is fixed.
Qt WARNING: Qt: Session management error: None of the authentication protocols specified are supported
root@natan:/home/usuario/Downloads/virtualbox#




7. Re: Como instalar VirtualBox no Debian 9

edps
edps

(usa Slackware)

Enviado em 17/08/2019 - 18:07h


Talvez você não esteja com os headers do kernel instalado, para isso veja os 3 primeiros comandos passados em:

https://edpsblog.wordpress.com/2016/05/01/dica-resolucao-de-problemas-nas-distros-debian-like-em-3-p...

pra facilitar, são eles:

$ sudo apt-get update
$ sudo apt-get upgrade |ou| dist-upgrade # de preferência este último
$ sudo apt-get install build-essential dkms linux-headers-`uname -r` # o sinal é uma crase, não uma aspa simples


Após ter certeza que os headers e os pacotes -dev básicos estão instalados, você tenta novamente criar os módulos para o kernel corrente com:

$ sudo /sbin/vboxconfig 




8. Re: Como instalar VirtualBox no Debian 9

Natan Lacerda
Destroy9

(usa Debian)

Enviado em 20/08/2019 - 20:29h

edps escreveu:


Talvez você não esteja com os headers do kernel instalado, para isso veja os 3 primeiros comandos passados em:

https://edpsblog.wordpress.com/2016/05/01/dica-resolucao-de-problemas-nas-distros-debian-like-em-3-p...

pra facilitar, são eles:

$ sudo apt-get update
$ sudo apt-get upgrade |ou| dist-upgrade # de preferência este último
$ sudo apt-get install build-essential dkms linux-headers-`uname -r` # o sinal é uma crase, não uma aspa simples


Após ter certeza que os headers e os pacotes -dev básicos estão instalados, você tenta novamente criar os módulos para o kernel corrente com:

$ sudo /sbin/vboxconfig 



Retornou:

E: Impossível encontrar o pacote linux-headers-4.17.11oem
E: Couldn't find any package by glob 'linux-headers-4.17.11oem'
E: Não foi possível encontrar o pacote através da expressão regular 'linux-headers-4.17.11oem'



9. Re: Como instalar VirtualBox no Debian 9

edps
edps

(usa Slackware)

Enviado em 20/08/2019 - 20:42h


Destroy9 escreveu:

Retornou:

E: Impossível encontrar o pacote linux-headers-4.17.11oem
E: Couldn't find any package by glob 'linux-headers-4.17.11oem'
E: Não foi possível encontrar o pacote através da expressão regular 'linux-headers-4.17.11oem'


Então, se esta versão do kernel não existe, de onde saiu essa joça?

Mas tá tranquilo, tente assim:

$ sudo apt-get update
$ sudo apt-get dist-upgrade
$ sudo apt-get install build-essential dkms linux-image-amd64 linux-headers-amd64


Isso instalará os pacotes padrão do Debian, se der certo, reinicie com o novo kernel.

Após ter certeza que os headers e os pacotes -dev básicos estão instalados, você tenta novamente criar os módulos para o kernel corrente com:

$ sudo /sbin/vboxconfig 



10. Re: Como instalar VirtualBox no Debian 9

Glaulher Ramalho Medeiros
GRM

(usa Void Linux)

Enviado em 21/08/2019 - 01:13h

virtualbox está nos repositorios do debian stretch eu instalava por lá, no buster pucho direto do site do virtualbox pois não tem no repositório do buster :(


Disciplina é liberdade
Compaixão é fortaleza
Ter bondade é ter coragem


11. Re: Como instalar VirtualBox no Debian 9

Natan Lacerda
Destroy9

(usa Debian)

Enviado em 21/08/2019 - 08:34h

edps escreveu:


Destroy9 escreveu:

Retornou:

E: Impossível encontrar o pacote linux-headers-4.17.11oem
E: Couldn't find any package by glob 'linux-headers-4.17.11oem'
E: Não foi possível encontrar o pacote através da expressão regular 'linux-headers-4.17.11oem'


Então, se esta versão do kernel não existe, de onde saiu essa joça?

Mas tá tranquilo, tente assim:

$ sudo apt-get update
$ sudo apt-get dist-upgrade
$ sudo apt-get install build-essential dkms linux-image-amd64 linux-headers-amd64


Isso instalará os pacotes padrão do Debian, se der certo, reinicie com o novo kernel.

Após ter certeza que os headers e os pacotes -dev básicos estão instalados, você tenta novamente criar os módulos para o kernel corrente com:

$ sudo /sbin/vboxconfig 


Retornou:

root@natan:/home/usuario# sudo apt-get install build-essential dkms linux-image-amd64 linux-headers-amd64 
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
build-essential is already the newest version (12.3).
build-essential configurado para instalar manualmente.
dkms is already the newest version (2.3-2).
linux-headers-amd64 is already the newest version (4.17+97~bpo9+1).
linux-headers-amd64 configurado para instalar manualmente.
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
grub-efi-amd64 : Depende: grub-common (= 2.02~beta3-5+deb9u1)
grub-efi-amd64-bin : Depende: grub-common (= 2.02~beta3-5+deb9u1)
grub2-common : Depende: grub-common (= 2.02~beta3-5+deb9u1)
linux-image-amd64 : Depende: linux-image-4.9.0-9-amd64 mas não será instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
root@natan:/home/usuario#


Que estranho cara, sempre dá erro... Será que é só no meu caso?







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts